Subject: Re: [PATCH 2.6.17-rc6] Remove Prism II support from Orinoco

From: "John W. Linville" <[email-masked]>
Date: Mon, 12 Jun 2006 11:24:39 -0400

On Mon, Jun 12, 2006 at 01:49:54AM +0300, Faidon Liambotis wrote:

> Having two drivers supporting the same set of hardware seems pretty
> pointless to me. Plus, it confuses hotplugging/automatic detection.

This subject comes-up from time to time.  In fact, I'm pretty sure
it came-up very recently w.r.t. orinoco and hostap.

The consensus seems to be that drivers should have IDs for all devices
they support, even if that means that some devices are supported by
multiple drivers.  This leaves the choice of which driver to use in
the hands of the user and/or distro.

If the Orinoco guys want this patch, I'll consider it.  Otherwise,
I'm not inclined to take it.

John
-- 
John W. Linville
[email-masked]